Upload a file for OCR
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/ocr-tasks/upload-from-file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-finops-version: <x-finops-version>' \
--form file='@example-file'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/ocr-tasks/upload-from-file"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {'x-finops-version': '<x-finops-version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.sandbox.tesouro.com/finops/v1/ocr-tasks/upload-from-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"recognized_data": {
"recipient": {
"address": {
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"street_and_number": "<string>"
},
"bank_account": {
"bank_account_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
},
"email": "<string>",
"name": "<string>",
"tax_number": "<string>",
"vat_number": "<string>"
},
"sender": {
"address": {
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"street_and_number": "<string>"
},
"bank_account": {
"bank_account_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
},
"email": "<string>",
"name": "<string>",
"tax_number": "<string>",
"vat_number": "<string>"
},
"amount_paid": 123,
"document_number": "<string>",
"due_date": "2023-12-25",
"issue_date": "2023-12-25",
"line_items": [
{
"description": "<string>",
"line_reference": "<string>",
"name": "<string>",
"quantity": 123,
"subtotal": 123,
"tax_amount": 123,
"tax_rate": 123,
"total_amount": 123,
"unit": "<string>",
"unit_price": 123
}
],
"payment_terms": "<string>",
"subtotal": 123,
"tax_amount": 123,
"tax_rate": 123,
"total_amount": 123,
"type": "invoice"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}OCR
Upload a file for OCR
POST
/
finops
/
v1
/
ocr-tasks
/
upload-from-file
Upload a file for OCR
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Query Parameters
Available options:
invoice, credit_note, receipt Body
multipart/form-data
Response
OCR task has been accepted for execution.
Available options:
internal, external Available options:
processing, success, error Available options:
invoice, credit_note, receipt - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I